SDL_StringToGUID(3)

NAME
SDL_StringToGUID - Convert a GUID string into a SDL_GUID structure.

SYNOPSIS
#include <SDL3/SDL_guid.h>

SDL_GUID SDL_StringToGUID(const char *pchGUID);

DESCRIPTION
Performs no error checking. If this function is given a string containing an invalid GUID, the function will silently succeed, but the GUID generated will not be useful.

FUNCTION PARAMETERS

pchGUID
    string containing an ASCII representation of a GUID.

RETURN VALUE
Returns a SDL_GUID structure.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GUIDToString(3)